import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import CloudLogoStageLight from './CloudLogoStageLight';
import CloudLogoStageDark from './CloudLogoStageDark';
import { useThemeModification, useBrandModification } from '../../utils';
const CloudLogoStageSvg = forwardRef(function CloudLogoStageSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(CloudLogoStageDark, Object.assign({}, props, { ref: ref }))) : (_jsx(CloudLogoStageLight, Object.assign({}, props, { ref: ref })));
});
export default CloudLogoStageSvg;
